#include "CS_JackCatcherBombCore.h"

CS_JackCatcherBombCore::CS_JackCatcherBombCore()
{
	type = 3;
	ani.sprite_index = L"am_catcher_bomb_core";
}

void CS_JackCatcherBombCore::Step()
{
	//ΙθΦΓΜωΝΌ
	if (ani.png.length() == 0)
	{
		ani.png = L"CS_CaveStoryMod";
	}
	if (++ani_wait > 1)
	{
		ani_wait = 0;
		++ani_no;
	}

	if (ani_no > 1)
	{
		ani_no = 0;
		return;
	}
	ani.image_index = ani_no;
}
